TOASCII(3)

NAME
toascii - convert a byte to 7-bit ASCII

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
toascii(int c);

DESCRIPTION
The toascii() function returns the argument with all but the lower 7 bits cleared.

RETURN VALUES
The toascii() function always returns a valid ASCII character. The result is a non-negative integer in the range from 0 to 127, inclusive.

SEE ALSO
ctype(3), isalnum(3), isalpha(3), isascii(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The toascii() function conforms to xpg4 and p1003.1-2001. The p1003.1-2008 revision however marked it as obsolete, noting that toascii() cannot be used portably in a localized application.